Package org.opencv.face

## Class StandardCollector

- java.lang.Object
- - org.opencv.face.PredictCollector
  - - org.opencv.face.StandardCollector

-     public class StandardCollector
      extends PredictCollector

  Default predict collector Trace minimal distance with treshhold checking (that is default behavior for most predict logic)

- - ### Field Summary

    - ### Fields inherited from class org.opencv.face.PredictCollector

      `nativeObj`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `StandardCollector​(long addr)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static StandardCollector` | `__fromPtr__​(long addr)` |
    `static StandardCollector` | `create()` | Static constructor
    `static StandardCollector` | `create​(double threshold)` | Static constructor
    `protected void` | `finalize()` |
    `double` | `getMinDist()` | Returns minimal distance value
    `int` | `getMinLabel()` | Returns label with minimal distance

    - ### Methods inherited from class org.opencv.face.PredictCollector

      `getNativeObjAddr`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StandardCollector

          protected StandardCollector​(long addr)

  - ### Method Detail

    - #### __fromPtr__

          public static StandardCollector __fromPtr__​(long addr)

    - #### create

          public static StandardCollector create​(double threshold)

      Static constructor
      Parameters:
        `threshold` - set threshold
      Returns:
        automatically generated

    - #### create

          public static StandardCollector create()

      Static constructor
      Returns:
        automatically generated

    - #### getMinDist

          public double getMinDist()

      Returns minimal distance value
      Returns:
        automatically generated

    - #### getMinLabel

          public int getMinLabel()

      Returns label with minimal distance
      Returns:
        automatically generated

    - #### finalize

          protected void finalize()
                           throws java.lang.Throwable

      Overrides:
        `finalize` in class `PredictCollector`
      Throws:
        `java.lang.Throwable`